# $Revision: 1.26 $, $Date: 2011/05/23 09:26:37 $
%define		_modname	yaz
%define		_status		stable
Summary:	%{_modname} - a Z39.50 client for PHP
Summary(pl.UTF-8):	%{_modname} - klient Z39.50 dla PHP
Name:		php-pecl-%{_modname}
Version:	1.0.14
Release:	5
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	ad75c5aba798ed4f708e4a6b8b72ca0a
URL:		http://pecl.php.net/package/yaz/
BuildRequires:	libxslt-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	yaz-devel >= 3.0.2
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
Obsoletes:	php-yaz
Suggests:	re2c >= 0.13.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension implements a Z39.50 client for PHP using the YAZ
toolkit.

Find more information at: <http://www.indexdata.dk/phpyaz/>
<http://www.indexdata.dk/yaz/>.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie implementuje klienta Z39.50 dla PHP za pomocą narzędzi
YAZ.

Więcej informacji można znaleźć na stronach:
<http://www.indexdata.dk/phpyaz/> <http://www.indexdata.dk/yaz/>.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-yaz.spec,v $
Revision 1.26  2011/05/23 09:26:37  lisu
- rel 5

Revision 1.25  2011/03/04 20:08:43  arekm
- release 4

Revision 1.24  2010/12/11 21:38:10  arekm
- release 3

Revision 1.23  2010/06/02 15:54:03  glen
- release 2

Revision 1.22  2009/03/16 09:28:57  duddits
- up to 1.0.14
- BR: yaz-devel >= 3.0.2
- S: re2c >= 0.13.4, if you want to regenerate PHP parsers

Revision 1.21  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.19  2007/01/02 20:15:00  glen
- use new php extension related macros

Revision 1.18  2006/12/24 20:08:43  adamg
- updated to 1.0.8
- make use of php_webserver_restart macro
- BuildRequires: libxslt-devel

Revision 1.17  2006/12/13 23:56:54  glen
- rel 2 (php 5.2.0)

Revision 1.16  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.15  2006/04/23 13:46:37  adamg
- updated to 1.0.7

Revision 1.14  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.13  2005/10/30 13:29:27  glen
- rel 4

Revision 1.12  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.11  2005/09/14 22:50:14  glen
- rel 2

Revision 1.10  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.9  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.8  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.7  2005/07/27 10:41:22  adamg
- updated to 1.0.4

Revision 1.6  2004/12/05 14:41:53  adamg
- updated to 1.0.2

Revision 1.5  2004/08/20 20:56:35  qboosh
- typo

Revision 1.4  2004/08/08 21:58:47  adamg
- really release 2

Revision 1.3  2004/08/08 21:51:31  adamg
- Obsoletes php-yaz
- Release 2

Revision 1.2  2004/08/08 13:56:00  adamg
- fixed License and URL fields
- pl description
- better BuildRequires (yaz added, E:V-R in php-devel added)

Revision 1.1  2004/08/08 13:51:52  adamg
- new
